mb_preferred_mime_name
mb_regex_set_options
Multibyte String Functions
PHP Manual

# mb_regex_encoding

(PHP 4 >= 4.2.0, PHP 5)

mb_regex_encoding — Set/Get character encoding for multibyte regex

### Description

mixed mb_regex_encoding ([ string `$encoding` = mb_regex_encoding() ] )

Set/Get character encoding for a multibyte regex.

### Parameters

`encoding`

  The `encoding` parameter is the character encoding. If it is omitted, the internal character encoding value will be used.

### Return Values

If `encoding` is set, then Returns `TRUE` on success or `FALSE` on failure. In this case, the internal character encoding is NOT changed. If `encoding` is omitted, then the current character encoding name for a multibyte regex is returned.

### Changelog

Version | Description
--- | ---
5.6.0 | Default encoding is changed to UTF-8. It was EUC-JP Previously.

### See Also

- mb_internal_encoding() - Set/Get internal character encoding
- mb_ereg() - Regular expression match with multibyte support

mb_preferred_mime_name
mb_regex_set_options
Multibyte String Functions
PHP Manual